# MapBasedBuildCacheService

open class MapBasedBuildCacheService : BuildCacheService

Simple build cache implementation that delegates to a ConcurrentMap.

#### Since

3.5

## Constructors

MapBasedBuildCacheService
Link copied to clipboard
constructor(delegate: ConcurrentMap<String, Array<Byte>>)

## Functions

close
Link copied to clipboard
open fun close()
load
Link copied to clipboard
open fun load(key: BuildCacheKey, reader: BuildCacheEntryReader): Boolean
store
Link copied to clipboard
open fun store(key: BuildCacheKey, output: BuildCacheEntryWriter)